package capitulo04.bloque09;

public class Ejercicio02 {
    public static void main(String[] args) {
        int[] array = {1, 5, 2, 5, 7, 5, 9, 5};

        System.out.println("Array original:");
        mostrarArray(array);

        findAndReplace(array, 5, 10);

        System.out.println("\nArray con valor reemplazado: ");
        mostrarArray(array);
    }

    public static void findAndReplace(int[] array, int valorABuscar, int valorDeReemplazo) {
        for (int i = 0; i < array.length; i++) {
            if (array[i] == valorABuscar) {
                array[i] = valorDeReemplazo;
            }
        }
    }

    public static void mostrarArray(int[] array) {
        for (int num : array) {
            System.out.print(num + " ");
        }
    }
}
